<?php defined('SYSPATH') OR die('No direct access allowed.');
/**
 * OAuth Facebook Provider
 *
 * @package    Kohana/OAuth2
 * @category   Provider
 * @author     Deon George
 * @copyright  (c) 2009-2013 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
abstract class Kohana_OAuth2_Provider_Facebook extends OAuth2_Provider {

	public $name = 'facebook';

	protected $scope = 'email';

	public function url_authorize()
	{
		return 'https://www.facebook.com/dialog/oauth';
	}

	public function url_access_token()
	{
		return 'https://graph.facebook.com/oauth/access_token';
	}

	public function url_user_details()
	{
		return 'https://graph.facebook.com/me';
	}

} // End OAuth_Provider_Facebook
